# Uses of Interface
org.opensaml.saml.saml2.metadata.AssertionConsumerService

Packages that use AssertionConsumerService
Package
Description
org.opensaml.saml.metadata.generator.impl
Implementation of Velocity-based metadata generation.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AssertionConsumerService in org.opensaml.saml.metadata.generator.impl

Methods in org.opensaml.saml.metadata.generator.impl that return AssertionConsumerService
Modifier and Type
Method
Description
`AssertionConsumerService`
AssertionConsumerServiceConverter.`apply(String value, List<String> protocols)`

## Uses of AssertionConsumerService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return AssertionConsumerService
Modifier and Type
Method
Description
`AssertionConsumerService`
SPSSODescriptor.`getDefaultAssertionConsumerService()`
Gets the default assertion consumer service.
Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AssertionConsumerService
Modifier and Type
Method
Description
`List<AssertionConsumerService>`
SPSSODescriptor.`getAssertionConsumerServices()`
Gets a list of assertion consumer service `Endpoint`s for this service.

## Uses of AssertionConsumerService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AssertionConsumerService
Modifier and Type
Class
Description
`class`
`AssertionConsumerServiceImpl`
Concrete implementation of `AssertionConsumerService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AssertionConsumerService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionConsumerService>`
SPSSODescriptorImpl.`assertionConsumerServices`
AssertionConsumerService children.
Methods in org.opensaml.saml.saml2.metadata.impl that return AssertionConsumerService
Modifier and Type
Method
Description
`AssertionConsumerService`
AssertionConsumerServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionConsumerService`
AssertionConsumerServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AssertionConsumerService`
SPSSODescriptorImpl.`getDefaultAssertionConsumerService()`
Gets the default assertion consumer service.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AssertionConsumerService
Modifier and Type
Method
Description
`List<AssertionConsumerService>`
SPSSODescriptorImpl.`getAssertionConsumerServices()`
Gets a list of assertion consumer service `Endpoint`s for this service.